package com.logicbig.example;


import javax.swing.*;
import java.awt.*;

public class CirclePanel extends JPanel {
    private int radius = 50;

    public CirclePanel() {
        setBorder(BorderFactory.createLineBorder(Color.GRAY, 3));
    }

    public void setRadius(int radius) {
        this.radius = radius;
        repaint();
    }

    @Override
    protected void paintComponent(Graphics g) {
        super.paintComponent(g);
        g.setColor(Color.pink);
        g.fillOval(getWidth() / 2 - radius,
                getHeight() / 2 - radius,
                2 * radius, 2 * radius);
    }
}